Skip to Content
XO SwapV3 API StableEndpointsQuotesGet Quotes for Pair

Get Quotes for Pair

GET/v3/pairs/:pairId/quotes

Description

This endpoint retrieves a quote for a specific amount on a pair. Unlike the /rates endpoint which returns multiple rate options, this endpoint provides a quote for the exact amount you specify.

Use this endpoint when you need:

  • Higher maximums (quotes support larger amounts than rates)
  • Real-time quotes for specific amounts

Floating Quote Flow: When using this endpoint to get quotes, you must create orders using POST /v3/orders/float instead of the standard /v3/orders endpoint.

Header Parameters

NameDescriptionRequiredExample
App-NameApp-Name for the authorizationyesacme-inc
App-VersionApp-Version for the authorizationno23.5.5
App-PlatformClient platform: desktop, mobile, or browsernobrowser
ForwardedIf you are proxying requests to the API, you must include the "Forwarded" header with the original request IP address. This is used for geolocation availability purposes.no
User-AgentUser-Agent for the authorizationnoAgentName/1.0.0

Path Parameters

NameDescriptionRequired
pairIdPair id from the list of pairsyes

Query Parameters

NameDescriptionRequired
amountThe amount you want to swap (in the "from" asset unit)yes

Response

Successful quote
{
  "fromAmount": {
    "assetId": "ETH",
    "value": "0.1"
  },
  "id": "bb206d2a78049b6a5c54f10c07bc32c459fd583d52e0c644e567aa34941fede3",
  "pairId": "ETH_USDC",
  "toAmount": {
    "assetId": "USDC",
    "value": "289.645"
  },
  "expiry": 1763651841481
}

Response fields:

  • fromAmount - Object containing the asset ID and value you’re swapping
  • toAmount - Object containing the asset ID and value you will receive
  • id - Quote ID (can be used for tracking)
  • pairId - The pair for this quote
  • expiry - Timestamp when the quote expires (milliseconds since epoch)

Try it

https://exchange.exodus.io/v3/pairs//quotes?
Press on the 'Send' button to try this request.

Start building

XO

Request Demo

Schedule a call with our team

Select a product
Arrow right

Start building
Grateful

Contact Us

We're here to help